curl --request POST \
--url https://app.govly.com/api/tools/v1/quote/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"quoteTotal": "<string>",
"files": [
{
"workspaceAttachmentId": "<string>",
"role": "<string>",
"metadata": {}
}
],
"oppId": "<string>",
"comment": "<string>",
"destinationData": {},
"validateOnly": true,
"confirmLiveSubmission": true,
"scheduledAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.govly.com/api/tools/v1/quote/submissions"
payload = {
"workspaceId": "<string>",
"quoteTotal": "<string>",
"files": [
{
"workspaceAttachmentId": "<string>",
"role": "<string>",
"metadata": {}
}
],
"oppId": "<string>",
"comment": "<string>",
"destinationData": {},
"validateOnly": True,
"confirmLiveSubmission": True,
"scheduledAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
quoteTotal: '<string>',
files: [{workspaceAttachmentId: '<string>', role: '<string>', metadata: {}}],
oppId: '<string>',
comment: '<string>',
destinationData: {},
validateOnly: true,
confirmLiveSubmission: true,
scheduledAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://app.govly.com/api/tools/v1/quote/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"status": "<string>",
"terminal": true,
"portal": "<string>",
"mode": "validate",
"workspaceId": "<string>",
"opportunityId": "<string>",
"quoteTotal": "<string>",
"result": {},
"createdAt": "2023-11-07T05:31:56Z",
"files": [
{
"id": "<string>",
"role": "<string>",
"metadata": {},
"attachment": {
"id": "<string>",
"filename": "<string>",
"contentType": "<string>",
"byteSize": 123,
"file": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}
],
"comment": "<string>",
"confirmationNumber": "<string>",
"failureReason": "<string>",
"errorCode": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"terminal": true,
"nextPollAfterSeconds": 123,
"retryable": true
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Submit a quote
Submit a quote to the destination for an opportunity workspace. Upload each file to the workspace attachments endpoint first, then describe the destination-specific package in files. Call get_quote_submission_requirements for the supported roles, fields, and modes. The response returns a submission ID that can be polled with show_quote_submission.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Decimal quote total accepted by the destination.
1Show child attributes
Show child attributes
Optional opportunity ID assertion. It must match the workspace opportunity.
Optional destination submission comment.
Destination-specific fields returned by the requirements endpoint.
Validate without submitting when the destination supports validation.
Confirms a live submission when required by the destination.
Optional future dispatch time.
Was this page helpful?